Hello Guest it is October 17, 2019, 01:55:52 AM

Author Topic: What version of Lua is Mach 4 using?  (Read 1893 times)

0 Members and 1 Guest are viewing this topic.

Offline Bodini

*
  •  216 216
    • View Profile
What version of Lua is Mach 4 using?
« on: June 06, 2014, 01:41:33 PM »
Updating to a new version of Lua was mentioned with build 1817.  What version is it?  I expected to see 5.X in the about box but it says wxLua 2.8.12.3.  I don't know what makes one different from the other (don't care either, it will go over my head).  All I want to know is which reference manual/examples I should be looking at.

Thanks.

-Nick
Re: What version of Lua is Mach 4 using?
« Reply #1 on: June 06, 2014, 02:19:28 PM »
Your seeing the wxLua version (v 2.8.1.3) (wxLua wrap the wxWidgets library v 3.0.0)  If you append
Code: [Select]
.."Lua Version " .. _VERSION into the about dialog, you should see the Lua version, which is 5.2

Mayanrd

Offline Bodini

*
  •  216 216
    • View Profile
Re: What version of Lua is Mach 4 using?
« Reply #2 on: June 06, 2014, 04:06:26 PM »
Thanks.  Yes I see now.  I forgot things like that are built in (now i recall seeing things like that in other programs).

F5 + step through it:
Code: [Select]
print( _VERSION )

Offline poppabear

*
  • *
  •  2,233 2,233
  • Briceville, TN, USA
    • View Profile
    • S S Systems, LLC
Re: What version of Lua is Mach 4 using?
« Reply #3 on: June 11, 2014, 08:30:27 AM »
Lua is 5.2 in the latest
Commercial Mach3 & Mach 4, Design/Build/Retrofit CNC and Industrial machines.
http://www.ss-systems-llc.com/